Bug 968056 - emacs vm has obsolete browsers in menu for opening a URL
emacs vm has obsolete browsers in menu for opening a URL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs-vm (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Göran Uddeborg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 18:44 EDT by Robert K. Moniot
Modified: 2013-08-10 08:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: emacs-vm-8.1.2-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 23:57:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert K. Moniot 2013-05-28 18:44:49 EDT
Description of problem:
The menu of browsers to use for opening a URL is out of date.  It includes Mosaic, mMosaic, and Netscape, and not Firefox, Chrome, or Opera.


Version-Release number of selected component (if applicable):
emacs-vm-8.1.2-2.fc17

How reproducible: always


Steps to Reproduce:
1. Use emacs vm to read a mail message containing a URL.
2. Right-click on the URL to bring up the menu of browsers.
3. 

Actual results: 
List contains Mosaic, mMosaic, and Netscape, which are obsolete.  The only browser supported by Fedora in the list is Konquerer.


Expected results: 
List should omit obsolete browsers and include currently supported browsers such as Firefox, Google-Chrome, and Opera.


Additional info: 
This is not difficult to work around but there should not be a need to.
Comment 1 Göran Uddeborg 2013-06-06 16:12:25 EDT
Quite right.  I've thought about it myself, but never got around to do anything about it.  I guess I should.
Comment 2 Fedora End Of Life 2013-07-04 01:49:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora Admin XMLRPC Client 2013-07-25 16:25:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Göran Uddeborg 2013-07-29 17:12:49 EDT
I finally did take a look at this.  The current development branch, 8.2.*,  has this a bit updated, and does things slightly different.  So I won't bother with a very complicated change, but just make a fairly simple patch.
Comment 5 Fedora Update System 2013-07-29 17:58:04 EDT
emacs-vm-8.1.2-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/emacs-vm-8.1.2-7.fc19
Comment 6 Fedora Update System 2013-08-01 23:35:21 EDT
Package emacs-vm-8.1.2-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emacs-vm-8.1.2-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13973/emacs-vm-8.1.2-7.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-09 23:57:46 EDT
emacs-vm-8.1.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-08-10 08:37:50 EDT
emacs-vm-8.1.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.